﻿Public Class Form2
    Dim Cls_Process As New NSDWinEnd.NSDProcess

    #Region "Sub Form2_Load : Loadイベント."
        Private Sub Form2_Load(sender As Object, e As System.EventArgs) Handles Me.Load
            Try
                ' プロセスのリストをセットします.
                SetProcessList()

                If ClsPub_ComputerName = "" Then
                    ' 起動しているアプリケーションのリストを取得します.
                    Dim Cls_AppInfo() As NSDWinEnd.NSDProcess.NSDProcessInfo = Cls_Process.GetRunApplicationList()

                    With Me.Lst_Pg
                        .Items.Clear()

                        For Int_Loop As Integer = 0 To Cls_AppInfo.Length - 1
                            .Items.Add(Cls_AppInfo(Int_Loop).WindowText)
                        Next
                    End With
                Else
                    Me.TabControl1.TabPages(1).Dispose()
                    Me.BtnProcessEnd.Dispose()
                End If
            Catch ex As Exception
            Finally
            End Try
        End Sub

        #Region "Sub SetProcessList : プロセスのリストをセットします."
            Private Sub SetProcessList()
                Try
                    ' プロセスのリストを取得します.
                    Dim Cls_ProcessName() As System.Diagnostics.Process = Cls_Process.GetProcessList(ClsPub_ComputerName)

                    With Me.Lst_Process
                        .Items.Clear()

                        If Cls_ProcessName Is Nothing Then
                        Else
                            For Int_Loop As Integer = 0 To Cls_ProcessName.Length - 1
                                .Items.Add(Cls_ProcessName(Int_Loop))
                            Next
                        End If
                    End With
                Catch ex As Exception
                Finally
                End Try
            End Sub
        #End Region
    #End Region

    #Region "Sub Form2_FormClosing : FormClosingイベント."
        Private Sub Form2_FormClosing(sender As Object, e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
            Try
                Cls_Process = Nothing
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub BtnProcessEnd_Click : プロセスの終了."
        Private Sub BtnProcessEnd_Click( sender As System.Object,  e As System.EventArgs) Handles BtnProcessEnd.Click
            Try
                With Me.Lst_Process
                    If Not (.SelectedItem Is Nothing) Then
                        Dim Str_Msg As String = "'"c & CType(.SelectedItem, System.Diagnostics.Process).ProcessName.ToString & "' を強制終了します。" & ControlChars.CrLf & "よろしいですか？"
                        If MsgBox(Str_Msg, MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                            Cls_Process.KillProcess(Me.Lst_Process.SelectedItem)
                            SetProcessList()
                        End If
                    End If
                End With
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region

    #Region "Sub TabControl1_SelectedIndexChanged : タブの切替."
        Private Sub TabControl1_SelectedIndexChanged(sender As Object, e As System.EventArgs) Handles TabControl1.SelectedIndexChanged
            Try
                Select Case CType(sender, TabControl).SelectedIndex
                    Case 0: ' プロセス.
                        Me.BtnProcessEnd.Enabled = True
                    Case 1: ' アプリケーション.
                        Me.BtnProcessEnd.Enabled = False
                End Select
            Catch ex As Exception
            Finally
            End Try
        End Sub
    #End Region
End Class