﻿Public Class Form1
    #Region "Form1イベント."
        #Region "Sub Form1_Load : Loadイベント."
            Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
                Try
                    With Me.LV_Address
                        .Columns(0).Width = 150
                        .Columns(1).Width = 150
                    End With

                    Me.RB_Write.Checked = True
                Catch ex As Exception

                End Try
            End Sub
        #End Region

        #Region "Sub Form1_FormClosing : FormClosingイベント."
            Private Sub Form1_FormClosing(sender As Object, e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
                Try
                    Me.Timer1.Enabled = False
                    ClsPub_Performance.Dispose()
                Catch ex As Exception

                End Try
            End Sub
        #End Region
    #End Region

    #Region "Sub Btn_ShutDown_Click : シャットダウン."
        Private Sub Btn_ShutDown_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_ShutDown.Click
            Try
                If MsgBox("シャットダウンを行います。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                    ' シャットダウンを行います.
                    ClsPub_WinEnd.MyWinShutDown()
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Logoff_Click : ログオフ."
        Private Sub Btn_Logoff_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Logoff.Click
            Try
                If MsgBox("ログオフします。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                    ClsPub_WinEnd.MyWinLogoff()
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Reboot_Click : 再起動."
        Private Sub Btn_Reboot_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Reboot.Click
            Try
                If MsgBox("再起動します。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                    ClsPub_WinEnd.MyWinReboot()
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_RebootDlg_Click : 再起動ダイアログ."
        Private Sub Btn_RebootDlg_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_RebootDlg.Click
            Try
                ClsPub_WinEnd.WinRestartDlg()
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_ShutDownDlg_Click : シャットダウンダイアログ."
        Private Sub Btn_ShutDownDlg_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_ShutDownDlg.Click
            Try
                ClsPub_WinEnd.WinShutDownDlg()
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_EndDlg_Click : 終了ダイアログ."
        Private Sub Btn_EndDlg_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_EndDlg.Click
            Try
                ClsPub_WinEnd.WinEndDlg()
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_RShutDown_Click : リモートコンピュータをシャットダウン."
        Private Sub Btn_RShutDown_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_RShutDown.Click
            Try
                Dim Str_Computer As String = Me.Txt_Computer.Text

                If String.IsNullOrEmpty(Str_Computer) Then
                    MsgBox("コンピュータ名を入力してください。")
                Else
                    If MsgBox("コンピュータ「" & Str_Computer & "」をシャットダウンします。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                        ClsPub_WinEnd.RemoteShutDown(Str_Computer)
                    End If
                End If

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_RReboot_Click : リモートコンピュータを再起動します."
        Private Sub Btn_RReboot_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_RReboot.Click
            Try
                Dim Str_Computer As String = Me.Txt_Computer.Text

                If String.IsNullOrEmpty(Str_Computer) Then
                    MsgBox("コンピュータ名を入力してください。")
                Else
                    If MsgBox("コンピュータ「" & Str_Computer & "」を再起動します。" & vbCrLf & "よろしいですか？", MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                        ClsPub_WinEnd.RemoteReboot(Str_Computer)
                    End If
                End If

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_WakeOnLan_Click : 電源ON."
        Private Sub Btn_WakeOnLan_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_WakeOnLan.Click
            Try
                Dim Str_MacAddress As String = Me.Txt_WOL.Text

                If String.IsNullOrEmpty(Str_MacAddress) Then
                    MsgBox("Macアドレスを入力してください。")
                Else
                    Dim Str_Msg As String = Nothing

                    Str_Msg = "Wake On Lanで電源を入れるには、電源を入れる側のコンピュータの設定(BIOS、LAN等)が行われている必要があります。" & vbcrlf & vbcrlf
                    Str_Msg &= "Macアドレス「" & Str_MacAddress & "」の電源を入れます。" & vbCrLf & "よろしいですか？"

                    If MsgBox(Str_Msg, MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                        ClsPub_WinEnd.WakeOnLan(Str_MacAddress)
                    End If
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Display_Click : ディスプレイの電源を切って、入れます."
        Private Sub Btn_Display_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Display.Click
            Try
                MsgBox("ディスプレイの電源を切って、10秒後に電源を入れます。" & vbCrLf & "※キーボード入力またはマウスの移動が発生した場合は、電源ONの命令を待たずに電源が入ります。" )

                ClsPub_WinEnd.MoniterOff()
                Me.Lbl_PowerOnOff.Visible = True
                Application.DoEvents()
                System.Threading.Thread.Sleep(10000)
                Me.Lbl_PowerOnOff.Visible = False

                ClsPub_WinEnd.MoniterOn()

            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Address_Click : アドレスの取得."
        Private Sub Btn_Address_Click( ByVal sender As System.Object,  ByVal e As System.EventArgs) Handles Btn_Address.Click
            Try
                With Me.LV_Address
                    .Items.Clear

                    Dim Str_IPAddress() As String = ClsPub_WinEnd.GetIPAddress(Me.Txt_Address.Text)
                    If Not Str_IPAddress Is Nothing Then
                        For Int_Loop As Integer = 0 To Str_IPAddress.Length - 1
                            Dim Str_MacAddress As String = ClsPub_WinEnd.IPToMacAddressString(Str_IPAddress(Int_Loop))

                            Dim LVItem As ListViewItem = .Items.Add(Str_IPAddress(Int_Loop))
                            If Not String.IsNullOrEmpty(Str_MacAddress) Then
                                LVItem.SubItems.Add(Str_MacAddress)
                            End If
                        Next
                    End If
                End With
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Process_Click : プロセス."
        Private Sub Btn_Process_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_Process.Click
            Try
                ClsPub_ComputerName = Me.Txt_Computer.Text
                Using Fm2 As New Form2
                    Fm2.ShowDialog
                End Using
            Catch ex As Exception
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_Performance_Click : パフォーマンス設定."
        Private Sub Btn_Performance_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_Performance.Click
            Try

                ClsPub_ComputerName = Me.Txt_PComputer.Text

                Using F3 As New Form3
                    F3.ShowDialog()
                End Using

                ' パフォーマンスの表示.
                Btn_Performance_Sub()
            Catch ex As Exception

            End Try
        End Sub

        #Region "Sub Btn_Performance_Sub : パフォーマンスの表示."
            Private Sub Btn_Performance_Sub()
                Try
                    Me.Timer1.Enabled = False
                    Dim Cls_PCList As System.Collections.ArrayList = ClsPub_Performance.GetSetingCounterList
                    With Me.LV_Performance
                        .Items.Clear
                        For Each OnePc As System.Diagnostics.PerformanceCounter In Cls_PCList
                            Dim Cls_LI As System.Windows.Forms.ListViewItem = .Items.Add(OnePc.CategoryName)
                        
                            Cls_LI.SubItems.Add(OnePc.InstanceName)
                            Cls_LI.SubItems.Add(OnePc.CounterName)
                            Cls_LI.SubItems.Add(IIF (OnePc.MachineName = "."c, "", OnePc.MachineName))
                            Cls_LI.SubItems.Add(OnePc.NextValue)
                            Cls_LI.Tag = OnePc
                        Next
                    End With
                    Me.Timer1.Enabled = True

                Catch ex As Exception

                End Try
            End Sub
        #End Region
    #End Region

    #Region "Sub Timer1_Tick : パフォーマンス用タイマー."
        Private Sub Timer1_Tick( sender As System.Object,  e As System.EventArgs) Handles Timer1.Tick
            Try
                CType(sender, Timer).Enabled = False

                With Me.LV_Performance
                    For Int_Loop As Integer = 0 To .Items.Count - 1
                        With .Items(Int_Loop)
                            .SubItems(4).Text = CType(.Tag, System.Diagnostics.PerformanceCounter).NextValue.ToString
                        End With
                    Next
                End With

            Catch ex As Exception
            Finally
                CType(sender, Timer).Enabled = True
            End Try
        End Sub
    #End Region

    #Region "Sub Btn_ReadWrite_Click : 読込または書き込み."
        Private Sub Btn_ReadWrite_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_ReadWrite.Click
            Try
                Dim Str_FileName As String = Me.Txt_FileName.Text
                Dim Int_PerformanceFileStyle As NSDWinEnd.NSDPerformance.NSDPerformanceFileStyle = NSDWinEnd.NSDPerformance.NSDPerformanceFileStyle.CSV

                Select Case RB_CSV.Checked
                    Case True
                        ' CSV形式.
                        Int_PerformanceFileStyle = NSDWinEnd.NSDPerformance.NSDPerformanceFileStyle.CSV
                    Case False
                        ' XML形式.
                        Int_PerformanceFileStyle = NSDWinEnd.NSDPerformance.NSDPerformanceFileStyle.XML
                End Select

                Select Case RB_Read.Checked
                    Case True
                        ' 読込.
                        ClsPub_Performance.LoadCounterList(Str_FileName, Int_PerformanceFileStyle)
                        ' パフォーマンスの表示.
                        Btn_Performance_Sub()
                    Case False
                        ' 書込み.
                        If ClsPub_Performance.SaveCounterList(Str_FileName, Int_PerformanceFileStyle) Then
                            MsgBox("ファイルに保存しました。")
                        Else
                            MsgBox("ファイルの保存に失敗しました。")
                        End If
                End Select
                
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_File_Click : ファイル参照."
        Private Sub Btn_File_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_File.Click
            Try
                Dim Str_Filter As String = Nothing
                Select Case Me.RB_CSV.Checked
                    Case True
                        ' CSV形式.
                        Str_Filter = "CSVファイル(*.CSV)|*.csv"
                    Case False
                        ' XML形式.
                        Str_Filter = "XMLファイル(*.XML)|*.xml"
                End Select
                Select Case Me.RB_Read.Checked
                    Case True
                        ' 読込.
                        Using OFD As New OpenFileDialog
                            With OFD
                                .Filter = Str_Filter
                                If .ShowDialog(Me) = Windows.Forms.DialogResult.OK Then
                                    Me.Txt_FileName.Text = .FileName
                                End If
                            End With
                        End Using
                    Case False
                        ' 書込み.
                        Using SFD As New SaveFileDialog
                            With SFD
                                .Filter = Str_Filter
                                If .ShowDialog(Me) = Windows.Forms.DialogResult.OK Then
                                    Me.Txt_FileName.Text = .FileName
                                End If
                            End With
                        End Using
                End Select
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub RB_Read_CheckedChanged : 読込チェックの変更."
        Private Sub RB_Read_CheckedChanged( sender As System.Object,  e As System.EventArgs) Handles RB_Read.CheckedChanged
            Try
                Select Case CType(sender, RadioButton).Checked
                    Case True
                        Me.Btn_ReadWrite.Text = "読込"
                    Case False
                        Me.Btn_ReadWrite.Text = "書込み"
                End Select
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub LV_Performance_SelectedIndexChanged : 表示しているパフォーマンスリストのアイテム選択."
        Private Sub LV_Performance_SelectedIndexChanged( sender As System.Object,  e As System.EventArgs) Handles LV_Performance.SelectedIndexChanged
            Try
                If CType(sender, ListView).SelectedItems Is Nothing Then
                    Me.Btn_P_Delete.Enabled = False
                Else
                    Me.Btn_P_Delete.Enabled = True
                End If
            Catch ex As Exception

            End Try
        End Sub
    #End Region

    #Region "Sub Btn_P_Delete_Click : パフォーマンスリストから削除."
        Private Sub Btn_P_Delete_Click( sender As System.Object,  e As System.EventArgs) Handles Btn_P_Delete.Click
            Try
                With Me.LV_Performance
                    If Not (.SelectedItems Is Nothing) Then
                        Dim Str_Msg As String = Nothing
                        With .SelectedItems(0)
                            ' カテゴリ
                            Str_Msg = "カテゴリ:" & .Text & vbCrLf
                            Str_Msg &= "インスタンス:" & .SubItems(1).Text & vbCrLf
                            Str_Msg &= "カウンター:" & .SubItems(2).Text & vbCrLf
                            Str_Msg &= "コンピュータ名:" & .SubItems(3).Text & vbCrLf

                            Str_Msg &= vbCrLf & "パフォーマンスリストから削除します。" & vbCrLf
                            Str_Msg &= "よろしいですか？" 
                            If MsgBox(Str_Msg, MsgBoxStyle.YesNo) = MsgBoxResult.Yes Then
                                If ClsPub_Performance.DeleteCounter(.Tag) Then
                                    .Remove()
                                    If Me.LV_Performance.Items.Count = 0 Then
                                        CType(sender, Button).Enabled = False
                                    End If
                                End If
                            End If
                        
                        End With
                    End If
                End With
            Catch ex As Exception

            End Try
        End Sub
    #End Region
End Class
